> For the complete documentation index, see [llms.txt](https://docs.jabref.org/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.jabref.org/v5/collaborative-work/sqldatabase/sqldatabasemigration.md).

# Migration of pre-3.6 SQL databases into a shared SQL database

## Context

This situation occurs when you try to open an SQL database which was created with JabRef version older than 3.6.

With release of [JabRef 3.6](https://github.com/JabRef/jabref/releases/tag/v3.6) the SQL database structure has changed. So all SQL databases with an pre-3.6 structure are no longer supported.

![Screenshot of migration popup](/files/-Lr5amkF4_JT-vbAo_Js)

## Migration

To migrate your pre-3.6 SQL database into new shared SQL database you have to follow these steps:

* Download and install [JabRef 3.5](https://github.com/JabRef/jabref/releases/tag/v3.5)
* Open JabRef and goto **File** -> **Import from external SQL database**
* Enter required data and click on **Connect**
* Choose the database which should be imported and press **Import**
* Save the database locally (**File** -> **Save database**)
* Turn back at least to [JabRef 3.6](https://github.com/JabRef/jabref/releases/tag/v3.6)
* Goto: **File** -> **Open shared database**
* Enter required data and click on **Connect**
* Now goto **File** -> **Import into current database**
* Choose the file you saved locally and import it

After that the content is available as a shared SQL database and you can work live on it. [More information about the live editing](/v5/collaborative-work/sqldatabase.md).


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.jabref.org/v5/collaborative-work/sqldatabase/sqldatabasemigration.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
